source: projects/vine-desktop-guide/trunk/Makefile.in @ 2900

Revision 2900, 20.2 KB checked in by yasumichi, 13 years ago (diff)

automake 実行後

Line 
1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
19pkgincludedir = $(includedir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkglibexecdir = $(libexecdir)/@PACKAGE@
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34subdir = .
35DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36        $(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
37        ChangeLog INSTALL NEWS install-sh missing
38ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
39am__aclocal_m4_deps = $(top_srcdir)/configure.ac
40am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
41        $(ACLOCAL_M4)
42am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
43 configure.lineno config.status.lineno
44mkinstalldirs = $(install_sh) -d
45CONFIG_CLEAN_FILES =
46CONFIG_CLEAN_VPATH_FILES =
47SOURCES =
48DIST_SOURCES =
49RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
50        html-recursive info-recursive install-data-recursive \
51        install-dvi-recursive install-exec-recursive \
52        install-html-recursive install-info-recursive \
53        install-pdf-recursive install-ps-recursive install-recursive \
54        installcheck-recursive installdirs-recursive pdf-recursive \
55        ps-recursive uninstall-recursive
56RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
57  distclean-recursive maintainer-clean-recursive
58AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
59        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
60        distdir dist dist-all distcheck
61ETAGS = etags
62CTAGS = ctags
63DIST_SUBDIRS = $(SUBDIRS)
64DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
65distdir = $(PACKAGE)-$(VERSION)
66top_distdir = $(distdir)
67am__remove_distdir = \
68  { test ! -d "$(distdir)" \
69    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
70         && rm -fr "$(distdir)"; }; }
71am__relativize = \
72  dir0=`pwd`; \
73  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
74  sed_rest='s,^[^/]*/*,,'; \
75  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
76  sed_butlast='s,/*[^/]*$$,,'; \
77  while test -n "$$dir1"; do \
78    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
79    if test "$$first" != "."; then \
80      if test "$$first" = ".."; then \
81        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
82        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
83      else \
84        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
85        if test "$$first2" = "$$first"; then \
86          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
87        else \
88          dir2="../$$dir2"; \
89        fi; \
90        dir0="$$dir0"/"$$first"; \
91      fi; \
92    fi; \
93    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
94  done; \
95  reldir="$$dir2"
96GZIP_ENV = --best
97DIST_ARCHIVES = $(distdir).tar.bz2
98distuninstallcheck_listfiles = find . -type f -print
99distcleancheck_listfiles = find . -type f -print
100ACLOCAL = @ACLOCAL@
101AMTAR = @AMTAR@
102AUTOCONF = @AUTOCONF@
103AUTOHEADER = @AUTOHEADER@
104AUTOMAKE = @AUTOMAKE@
105AWK = @AWK@
106CYGPATH_W = @CYGPATH_W@
107DEFS = @DEFS@
108ECHO_C = @ECHO_C@
109ECHO_N = @ECHO_N@
110ECHO_T = @ECHO_T@
111INSTALL = @INSTALL@
112INSTALL_DATA = @INSTALL_DATA@
113INSTALL_PROGRAM = @INSTALL_PROGRAM@
114INSTALL_SCRIPT = @INSTALL_SCRIPT@
115INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
116LIBOBJS = @LIBOBJS@
117LIBS = @LIBS@
118LTLIBOBJS = @LTLIBOBJS@
119MAKEINFO = @MAKEINFO@
120MKDIR_P = @MKDIR_P@
121OMFDIR = @OMFDIR@
122PACKAGE = @PACKAGE@
123PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
124PACKAGE_NAME = @PACKAGE_NAME@
125PACKAGE_STRING = @PACKAGE_STRING@
126PACKAGE_TARNAME = @PACKAGE_TARNAME@
127PACKAGE_URL = @PACKAGE_URL@
128PACKAGE_VERSION = @PACKAGE_VERSION@
129PATH_SEPARATOR = @PATH_SEPARATOR@
130PKG_CONFIG = @PKG_CONFIG@
131PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
132PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
133SET_MAKE = @SET_MAKE@
134SHELL = @SHELL@
135STRIP = @STRIP@
136VERSION = @VERSION@
137VMDIR = @VMDIR@
138abs_builddir = @abs_builddir@
139abs_srcdir = @abs_srcdir@
140abs_top_builddir = @abs_top_builddir@
141abs_top_srcdir = @abs_top_srcdir@
142am__leading_dot = @am__leading_dot@
143am__tar = @am__tar@
144am__untar = @am__untar@
145bindir = @bindir@
146build_alias = @build_alias@
147builddir = @builddir@
148datadir = @datadir@
149datarootdir = @datarootdir@
150docdir = @docdir@
151dvidir = @dvidir@
152exec_prefix = @exec_prefix@
153host_alias = @host_alias@
154htmldir = @htmldir@
155includedir = @includedir@
156infodir = @infodir@
157install_sh = @install_sh@
158libdir = @libdir@
159libexecdir = @libexecdir@
160localedir = @localedir@
161localstatedir = @localstatedir@
162mandir = @mandir@
163mkdir_p = @mkdir_p@
164oldincludedir = @oldincludedir@
165pdfdir = @pdfdir@
166prefix = @prefix@
167program_transform_name = @program_transform_name@
168psdir = @psdir@
169sbindir = @sbindir@
170sharedstatedir = @sharedstatedir@
171srcdir = @srcdir@
172sysconfdir = @sysconfdir@
173target_alias = @target_alias@
174top_build_prefix = @top_build_prefix@
175top_builddir = @top_builddir@
176top_srcdir = @top_srcdir@
177SUBDIRS = help
178all: all-recursive
179
180.SUFFIXES:
181am--refresh:
182        @:
183$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
184        @for dep in $?; do \
185          case '$(am__configure_deps)' in \
186            *$$dep*) \
187              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
188              $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
189                && exit 0; \
190              exit 1;; \
191          esac; \
192        done; \
193        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
194        $(am__cd) $(top_srcdir) && \
195          $(AUTOMAKE) --gnu Makefile
196.PRECIOUS: Makefile
197Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
198        @case '$?' in \
199          *config.status*) \
200            echo ' $(SHELL) ./config.status'; \
201            $(SHELL) ./config.status;; \
202          *) \
203            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
204            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
205        esac;
206
207$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
208        $(SHELL) ./config.status --recheck
209
210$(top_srcdir)/configure:  $(am__configure_deps)
211        $(am__cd) $(srcdir) && $(AUTOCONF)
212$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
213        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
214$(am__aclocal_m4_deps):
215
216# This directory's subdirectories are mostly independent; you can cd
217# into them and run `make' without going through this Makefile.
218# To change the values of `make' variables: instead of editing Makefiles,
219# (1) if the variable is set in `config.status', edit `config.status'
220#     (which will cause the Makefiles to be regenerated when you run `make');
221# (2) otherwise, pass the desired values on the `make' command line.
222$(RECURSIVE_TARGETS):
223        @fail= failcom='exit 1'; \
224        for f in x $$MAKEFLAGS; do \
225          case $$f in \
226            *=* | --[!k]*);; \
227            *k*) failcom='fail=yes';; \
228          esac; \
229        done; \
230        dot_seen=no; \
231        target=`echo $@ | sed s/-recursive//`; \
232        list='$(SUBDIRS)'; for subdir in $$list; do \
233          echo "Making $$target in $$subdir"; \
234          if test "$$subdir" = "."; then \
235            dot_seen=yes; \
236            local_target="$$target-am"; \
237          else \
238            local_target="$$target"; \
239          fi; \
240          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
241          || eval $$failcom; \
242        done; \
243        if test "$$dot_seen" = "no"; then \
244          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
245        fi; test -z "$$fail"
246
247$(RECURSIVE_CLEAN_TARGETS):
248        @fail= failcom='exit 1'; \
249        for f in x $$MAKEFLAGS; do \
250          case $$f in \
251            *=* | --[!k]*);; \
252            *k*) failcom='fail=yes';; \
253          esac; \
254        done; \
255        dot_seen=no; \
256        case "$@" in \
257          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
258          *) list='$(SUBDIRS)' ;; \
259        esac; \
260        rev=''; for subdir in $$list; do \
261          if test "$$subdir" = "."; then :; else \
262            rev="$$subdir $$rev"; \
263          fi; \
264        done; \
265        rev="$$rev ."; \
266        target=`echo $@ | sed s/-recursive//`; \
267        for subdir in $$rev; do \
268          echo "Making $$target in $$subdir"; \
269          if test "$$subdir" = "."; then \
270            local_target="$$target-am"; \
271          else \
272            local_target="$$target"; \
273          fi; \
274          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
275          || eval $$failcom; \
276        done && test -z "$$fail"
277tags-recursive:
278        list='$(SUBDIRS)'; for subdir in $$list; do \
279          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
280        done
281ctags-recursive:
282        list='$(SUBDIRS)'; for subdir in $$list; do \
283          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
284        done
285
286ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
287        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
288        unique=`for i in $$list; do \
289            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
290          done | \
291          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
292              END { if (nonempty) { for (i in files) print i; }; }'`; \
293        mkid -fID $$unique
294tags: TAGS
295
296TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
297                $(TAGS_FILES) $(LISP)
298        set x; \
299        here=`pwd`; \
300        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
301          include_option=--etags-include; \
302          empty_fix=.; \
303        else \
304          include_option=--include; \
305          empty_fix=; \
306        fi; \
307        list='$(SUBDIRS)'; for subdir in $$list; do \
308          if test "$$subdir" = .; then :; else \
309            test ! -f $$subdir/TAGS || \
310              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
311          fi; \
312        done; \
313        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
314        unique=`for i in $$list; do \
315            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
316          done | \
317          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
318              END { if (nonempty) { for (i in files) print i; }; }'`; \
319        shift; \
320        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
321          test -n "$$unique" || unique=$$empty_fix; \
322          if test $$# -gt 0; then \
323            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
324              "$$@" $$unique; \
325          else \
326            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
327              $$unique; \
328          fi; \
329        fi
330ctags: CTAGS
331CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
332                $(TAGS_FILES) $(LISP)
333        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
334        unique=`for i in $$list; do \
335            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
336          done | \
337          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
338              END { if (nonempty) { for (i in files) print i; }; }'`; \
339        test -z "$(CTAGS_ARGS)$$unique" \
340          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
341             $$unique
342
343GTAGS:
344        here=`$(am__cd) $(top_builddir) && pwd` \
345          && $(am__cd) $(top_srcdir) \
346          && gtags -i $(GTAGS_ARGS) "$$here"
347
348distclean-tags:
349        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
350
351distdir: $(DISTFILES)
352        $(am__remove_distdir)
353        test -d "$(distdir)" || mkdir "$(distdir)"
354        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
355        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
356        list='$(DISTFILES)'; \
357          dist_files=`for file in $$list; do echo $$file; done | \
358          sed -e "s|^$$srcdirstrip/||;t" \
359              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
360        case $$dist_files in \
361          */*) $(MKDIR_P) `echo "$$dist_files" | \
362                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
363                           sort -u` ;; \
364        esac; \
365        for file in $$dist_files; do \
366          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
367          if test -d $$d/$$file; then \
368            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
369            if test -d "$(distdir)/$$file"; then \
370              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
371            fi; \
372            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
373              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
374              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
375            fi; \
376            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
377          else \
378            test -f "$(distdir)/$$file" \
379            || cp -p $$d/$$file "$(distdir)/$$file" \
380            || exit 1; \
381          fi; \
382        done
383        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
384          if test "$$subdir" = .; then :; else \
385            test -d "$(distdir)/$$subdir" \
386            || $(MKDIR_P) "$(distdir)/$$subdir" \
387            || exit 1; \
388          fi; \
389        done
390        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
391          if test "$$subdir" = .; then :; else \
392            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
393            $(am__relativize); \
394            new_distdir=$$reldir; \
395            dir1=$$subdir; dir2="$(top_distdir)"; \
396            $(am__relativize); \
397            new_top_distdir=$$reldir; \
398            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
399            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
400            ($(am__cd) $$subdir && \
401              $(MAKE) $(AM_MAKEFLAGS) \
402                top_distdir="$$new_top_distdir" \
403                distdir="$$new_distdir" \
404                am__remove_distdir=: \
405                am__skip_length_check=: \
406                am__skip_mode_fix=: \
407                distdir) \
408              || exit 1; \
409          fi; \
410        done
411        -test -n "$(am__skip_mode_fix)" \
412        || find "$(distdir)" -type d ! -perm -755 \
413                -exec chmod u+rwx,go+rx {} \; -o \
414          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
415          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
416          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
417        || chmod -R a+r "$(distdir)"
418dist-gzip: distdir
419        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
420        $(am__remove_distdir)
421dist-bzip2: distdir
422        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
423        $(am__remove_distdir)
424
425dist-lzma: distdir
426        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
427        $(am__remove_distdir)
428
429dist-xz: distdir
430        tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
431        $(am__remove_distdir)
432
433dist-tarZ: distdir
434        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
435        $(am__remove_distdir)
436
437dist-shar: distdir
438        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
439        $(am__remove_distdir)
440
441dist-zip: distdir
442        -rm -f $(distdir).zip
443        zip -rq $(distdir).zip $(distdir)
444        $(am__remove_distdir)
445
446dist dist-all: distdir
447        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
448        $(am__remove_distdir)
449
450# This target untars the dist file and tries a VPATH configuration.  Then
451# it guarantees that the distribution is self-contained by making another
452# tarfile.
453distcheck: dist
454        case '$(DIST_ARCHIVES)' in \
455        *.tar.gz*) \
456          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
457        *.tar.bz2*) \
458          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
459        *.tar.lzma*) \
460          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
461        *.tar.xz*) \
462          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
463        *.tar.Z*) \
464          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
465        *.shar.gz*) \
466          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
467        *.zip*) \
468          unzip $(distdir).zip ;;\
469        esac
470        chmod -R a-w $(distdir); chmod a+w $(distdir)
471        mkdir $(distdir)/_build
472        mkdir $(distdir)/_inst
473        chmod a-w $(distdir)
474        test -d $(distdir)/_build || exit 0; \
475        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
476          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
477          && am__cwd=`pwd` \
478          && $(am__cd) $(distdir)/_build \
479          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
480            $(DISTCHECK_CONFIGURE_FLAGS) \
481          && $(MAKE) $(AM_MAKEFLAGS) \
482          && $(MAKE) $(AM_MAKEFLAGS) dvi \
483          && $(MAKE) $(AM_MAKEFLAGS) check \
484          && $(MAKE) $(AM_MAKEFLAGS) install \
485          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
486          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
487          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
488                distuninstallcheck \
489          && chmod -R a-w "$$dc_install_base" \
490          && ({ \
491               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
492               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
493               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
494               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
495                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
496              } || { rm -rf "$$dc_destdir"; exit 1; }) \
497          && rm -rf "$$dc_destdir" \
498          && $(MAKE) $(AM_MAKEFLAGS) dist \
499          && rm -rf $(DIST_ARCHIVES) \
500          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
501          && cd "$$am__cwd" \
502          || exit 1
503        $(am__remove_distdir)
504        @(echo "$(distdir) archives ready for distribution: "; \
505          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
506          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
507distuninstallcheck:
508        @$(am__cd) '$(distuninstallcheck_dir)' \
509        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
510           || { echo "ERROR: files left after uninstall:" ; \
511                if test -n "$(DESTDIR)"; then \
512                  echo "  (check DESTDIR support)"; \
513                fi ; \
514                $(distuninstallcheck_listfiles) ; \
515                exit 1; } >&2
516distcleancheck: distclean
517        @if test '$(srcdir)' = . ; then \
518          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
519          exit 1 ; \
520        fi
521        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
522          || { echo "ERROR: files left in build directory after distclean:" ; \
523               $(distcleancheck_listfiles) ; \
524               exit 1; } >&2
525check-am: all-am
526check: check-recursive
527all-am: Makefile
528installdirs: installdirs-recursive
529installdirs-am:
530install: install-recursive
531install-exec: install-exec-recursive
532install-data: install-data-recursive
533uninstall: uninstall-recursive
534
535install-am: all-am
536        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
537
538installcheck: installcheck-recursive
539install-strip:
540        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
541          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
542          `test -z '$(STRIP)' || \
543            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
544mostlyclean-generic:
545
546clean-generic:
547
548distclean-generic:
549        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
550        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
551
552maintainer-clean-generic:
553        @echo "This command is intended for maintainers to use"
554        @echo "it deletes files that may require special tools to rebuild."
555clean: clean-recursive
556
557clean-am: clean-generic mostlyclean-am
558
559distclean: distclean-recursive
560        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
561        -rm -f Makefile
562distclean-am: clean-am distclean-generic distclean-tags
563
564dvi: dvi-recursive
565
566dvi-am:
567
568html: html-recursive
569
570html-am:
571
572info: info-recursive
573
574info-am:
575
576install-data-am:
577
578install-dvi: install-dvi-recursive
579
580install-dvi-am:
581
582install-exec-am:
583
584install-html: install-html-recursive
585
586install-html-am:
587
588install-info: install-info-recursive
589
590install-info-am:
591
592install-man:
593
594install-pdf: install-pdf-recursive
595
596install-pdf-am:
597
598install-ps: install-ps-recursive
599
600install-ps-am:
601
602installcheck-am:
603
604maintainer-clean: maintainer-clean-recursive
605        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
606        -rm -rf $(top_srcdir)/autom4te.cache
607        -rm -f Makefile
608maintainer-clean-am: distclean-am maintainer-clean-generic
609
610mostlyclean: mostlyclean-recursive
611
612mostlyclean-am: mostlyclean-generic
613
614pdf: pdf-recursive
615
616pdf-am:
617
618ps: ps-recursive
619
620ps-am:
621
622uninstall-am:
623
624.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
625        install-am install-strip tags-recursive
626
627.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
628        all all-am am--refresh check check-am clean clean-generic \
629        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
630        dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
631        distclean distclean-generic distclean-tags distcleancheck \
632        distdir distuninstallcheck dvi dvi-am html html-am info \
633        info-am install install-am install-data install-data-am \
634        install-dvi install-dvi-am install-exec install-exec-am \
635        install-html install-html-am install-info install-info-am \
636        install-man install-pdf install-pdf-am install-ps \
637        install-ps-am install-strip installcheck installcheck-am \
638        installdirs installdirs-am maintainer-clean \
639        maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
640        pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
641
642
643# Tell versions [3.59,3.63) of GNU make to not export all variables.
644# Otherwise a system limit (for SysV at least) may be exceeded.
645.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.